from importlib import import_module

class settings(object):
    def __init__(self):
        self.__settings_mod = import_module('..settings', __name__)

    def get(self, attr):
        """
        Returns value of given attribute.
        """

        try:
            return self.__settings_mod.__dict__[attr]
        except KeyError:
            raise NameError('global name \'' + attr + '\' is not defined')

    def add_to_navigation(self, navigation_entry):
        """
        Adds given navigation-entry to navigation.
        Navigation-entry can be dict or list.
        """

        if type(navigation_entry) == dict:
            navigation_entry = [navigation_entry]

        for i in navigation_entry:
            if not i in self.__settings_mod.NAVIGATION:
                self.__settings_mod.NAVIGATION.append(i)

    def enable_login(self):
        """
        Enables login.
        Returns new login state.

        Returns False in case of KeyError.
        """

        try:
            self.__settings_mod.LOGIN_AVAILABLE = True
            return self.__settings_mod.LOGIN_AVAILABLE
        except KeyError:
            return False
