from django.contrib.auth import authenticate, login
from django.http import HttpResponseRedirect, HttpResponse, Http404
from django.template import RequestContext, loader
from django import forms
from django.shortcuts import redirect

from ptxweb_styling_ptx.conf import settings

class login_user_form(forms.Form):
    username = forms.CharField(
        widget = forms.TextInput(
            attrs = {
                'class': 'form-control',
                'placeholder': 'User',
            }
        )
    )

    password = forms.CharField(
        widget = forms.TextInput(
            attrs = {
                'class': 'form-control',
                'type': 'password',
                'placeholder': 'Password',
            }
        )
    )

def login_user(request):
	if not settings.get('LOGIN_AVAILABLE'):
		raise Http404

	form = login_user_form()

	if request.POST:
		username = request.POST.get('username')
		password = request.POST.get('password')
		redirect_location = request.POST.get('next')

		user = authenticate(username=username, password=password)
		if user is not None:
			if user.is_active:
				login(request, user)
				return redirect(redirect_location)
			else:
				form.errors['error'] = True
		else:
			form.errors['error'] = True

	c = RequestContext(
		request,
		{
			'title': 'PTX Intranet Login',
			'form': form,
		}
	)
	t = loader.get_template('login.html')
	return HttpResponse(t.render(c))

def list_navigation(request, id):
    for i in settings.get('NAVIGATION'):
        if i['id'] == id:
            navigation_entry = i

    c = RequestContext(
        request,
        {
            'title': navigation_entry['title'],
            'navigation_entry': navigation_entry,
        }
    )
    t = loader.get_template('navigation.html')
    return HttpResponse(t.render(c))

def index(request):
	c = RequestContext(
		request,
		{}
	)
	t = loader.get_template('index.html')
	return HttpResponse(t.render(c))
